<?php
/**
 *
 * Backend view
 *
 * @package otfd
 * @subpackage _views
 * @since WP One Time File Download 2.5
 */

defined( 'ABSPATH' ) or die( 'No script kiddies please!' );
?>

<div class="otfd-backend-wrapper" id="otfd-be-main">
	<div class="otfd-hero">
		<div class="otfd-hero-intro">
			<h1><?php esc_html_e( 'WP One Time File Download', 'wp-one-time-file-download' ); ?></h1>
			<p>
				<?php esc_html_e( 'Plugin updates.', 'wp-one-time-file-download' ); ?>
			</p>
		</div>
	</div>

	<div class="otfd-form">


		<form method="post" action="">
			<?php if ( $license ) : ?>
				<div class="otfd-form-row">
					<strong><?php esc_html_e( '1 click updates are turned on.', 'wp-one-time-file-download' ); ?></strong>
				</div>
			<?php else : ?>
				<div class="otfd-form-row">
					<strong><?php esc_html_e( '1 click updates are turned off. To enable 1 click updates, please enter the Envato Purchase Code.', 'wp-one-time-file-download' ); ?></strong>
				</div>
			<?php endif; ?>
			<div class="otfd-form-row">
				<label><?php esc_html_e( 'Envato Purchase Code', 'wp-one-time-file-download' ); ?></label>
				<input type="text" name="otfd-license" value="<?php echo esc_attr( isset( $_POST['otfd-license'] ) ? $_POST['otfd-license'] : $license ); ?>" placeholder="<?php esc_attr_e( 'Enter the Envato Purchase Code...', 'wp-one-time-file-download' ); ?>" />
			</div>
			<div class="otfd-form-row">
				<button type="submit" class="button button-primary"><?php esc_html_e( 'Save', 'wp-one-time-file-download' ); ?></button>
			</div>

			<?php wp_nonce_field( 'otfd-nonce', 'otfd-nonce' ); ?>
			<input type="hidden" name="otfd-action" value="save-license" />
		</form>
	</div>

</div>
