<?php
/**
 * Template Name: WP OTFD Download
 * The template for displaying download links
 *
 * @package otfd
 * @subpackage page-templates
 * @since One Time File Download 2.4
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>

<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<!-- Force IE to use the latest rendering engine available -->
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<!-- Mobile Meta -->
	<meta name="viewport" content="width=device-width"/>

	<link rel="pingback" href="<?php esc_url( bloginfo( 'pingback_url' ) ); ?>">

	<?php if ( is_singular() ) :
		wp_enqueue_script( 'comment-reply' );
	endif; ?>
	<?php wp_head(); ?>

</head>
<body <?php body_class( 'wp-otfd-download' ); ?>>

	<?php if ( have_posts() ) : ?>
		<?php while ( have_posts() ) : ?>
			<?php the_post(); ?>

			<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
				<?php
					the_content();

					wp_link_pages(
						array(
							'before' => '<div class="page-links">' . __( 'Pages:', 'wp-one-time-file-download' ),
							'after'  => '</div>',
						)
					);
				?>
			</article>

			<?php
			if ( comments_open() || get_comments_number() ) :
				comments_template();
			endif; ?>

		<?php endwhile; ?>
	<?php endif; ?>

	<?php wp_footer(); ?>
</body>
</html>
